package com.gic.enterprise.constant.applet;
/**
 * 小程序配置页面组件
 * @ClassName: AppletPageComponentEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/25 2:43 PM 
 */
public enum AppletPageComponentEnum {
    RICH_TEXT("A1", "富文本"),
    IMAGE("A2", "图文广告"),
    MAGIC("A3", "魔方"),
    IMAGE_TEXT("A4", "图文导航"),
    TEXT("A5", "文本"),
    CROSS_BAR("A6", "横栏"),
    GUIDE_LINE("A7", "辅助线"),
    GUIDE_BLANK("A8", "辅助空白"),
    TEXT_TITLE("A9", "文本标题"),
    DATA_ASSET("A10", "数据资产"),
    MEMBER_PRIVILEGE("B1", "会员特权"),
    MEMBER_CARD("B2", "会员卡");

    private String code;
    private String message;

    private AppletPageComponentEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static boolean isSaveToComponentTable(String code) {
        for (AppletPageComponentEnum componentEnum : values()) {
            if (componentEnum.getCode().equals(code)) {
                return true;
            }
        }
        return false;
    }
}
